Please Login or Register

Announcements

Poodlebleed SSL Vulnerability


Dear Customers,

With the recent discovery of the the "Poodle" vulnerability, we’re writing today to inform you that all of our servers have been tested and verified to not be affected. This includes shared, vps and dedicated servers.

Enjoy your weekend!



Saturday, October 18, 2014







« Back

View RSS Feed


Quick Navigation

Client Login

Email

Password

Remember Me

Search


 

Contact Us

Domain Registration

press enter to search

Subscribe

Email:

Tips, Specials, News, etc.

Newsletter is sent weekly.
No SPAM Guarantee. Easy Unsubscribe.

© 2014 Secure Website Services LLC. All Rights Reserved.